{% extends 'base.html.twig' %}

{% block title %}Publication index{% endblock %}

{% block body %}
    <h1>Publication index</h1>

    <table class="table">
        <thead>
            <tr>
                <th>Id</th>
                <th>Name</th>
                <th>Descripcion</th>
                <th>actions</th>
            </tr>
        </thead>
        <tbody>
        {% for publication in publications %}
            <tr>
                <td>{{ publication.id }}</td>
                <td>{{ publication.name }}</td>
                <td>{{ publication.descripcion }}</td>
                <td>
                    <a href="{{ path('app_publication_show', {'id': publication.id}) }}">show</a>
                    <a href="{{ path('app_publication_edit', {'id': publication.id}) }}">edit</a>
                </td>
            </tr>
        {% else %}
            <tr>
                <td colspan="4">no records found</td>
            </tr>
        {% endfor %}
        </tbody>
    </table>

    <a href="{{ path('app_publication_new') }}">Create new</a>
{% endblock %}
